// This class stores the name of the last joined channel in order for that
// name to later be returned and displayed in 'win_stat'

class channel
{
  public:
    channel(char *);
    ~channel();

    void SetChan();
    const char * GetChan();

  private:
    int i;
    int j;
    int chanlen;
    char itsBuffer[64];
    char itsChannel[64];
};


channel::channel(char *buffer)
{
  chanlen = strlen(buffer);
  strncpy(itsBuffer, buffer, 64);
}


channel::~channel()
{ ; }


void channel::SetChan()
{
  // skipping to the 7th char (first character after '/join ')
  i = 6;
  j = 0;

  while(i != (chanlen + 1) ) {
    itsChannel[j] = itsBuffer[i];
    ++i; ++j;
  }
}


const char * channel::GetChan()
{
  return itsChannel;
}
