int connector(char *server)
{
  int sockfd;
  struct sockaddr_in servaddr;
  struct hostent *hp;

  if( (hp = gethostbyname(server)) == NULL) {
    perror("gethostbyname");
    exit(0);
  }

  if( (sockfd = socket(AF_INET, SOCK_STREAM, 0)) == -1) {
    perror("socket");
    exit(0);
  }

  bzero(&servaddr, sizeof(servaddr));
  servaddr.sin_family = AF_INET;
  servaddr.sin_port = htons(6112);
  servaddr.sin_addr = *((struct in_addr *)hp->h_addr);  // new
  // inet_pton(AF_INET, server, &servaddr.sin_addr);

  if( connect(sockfd, (struct sockaddr *)&servaddr, sizeof(servaddr)) == -1) {
    perror("connect");
    exit(0);
  }
  else {
    cout << "\nConnection Successful!\n";
  }

  return sockfd;
}
