// const char *strfilter(char *pString, char *pWord, char *pReplace)
// This function searches a string (pString) for a substring (pWord) and
// then changes that substring to (pReplace)

const char * strfilter(char *pString, char *pWord, char *pReplace)
{
  uint stringlen = strlen(pString);
  uint wordlen = strlen(pWord);
  uint replacelen = strlen(pReplace);

  char string[stringlen + 1];
  char newstring[stringlen + 1];
  char word[wordlen + 1];
  char replacement[replacelen + 1];

  strncpy(string, pString, (stringlen + 1));
  strncpy(newstring, string, (stringlen + 1));
  strncpy(word, pWord, (wordlen + 1));
  strncpy(replacement, pReplace, (replacelen + 1));


  uint i = 0;
  uint j = 0;
  uint k = 0;
  uint strstart = 0;
  uint strend = 0;


  while(i < stringlen) {
    if(string[i] == word[j]) {
      ++j;
    }
    else {
      if(j != 0) {
        j = 0; --i;
      }
    }

    if(j == wordlen) {
      strstart = (i - j) + 1;
      strend = i + 1;
      k = 0;

      while(strstart < strend) {
        newstring[strstart] = replacement[k];
        ++strstart; ++k;
      }
      j = 0;
    }
    ++i;
  }
  return newstring;
}
