/*

    Program:

      Name:	The Battle.net r0wbot
      Function: Ncurses Battle.net Chat Client for the Linux Console
      Author:	Deathr0w of f0rever.net
      Date:	May/June 2000
      Language:	GNU C++ (G++)

      Version:	1.1.14

             version information:
	       format: x.y.z
		x: release number (++ on release)
		y: odd == unstable, even == stable
		z: modified number (++ on modification)


      Supported Operating Systems:
        Refer to distros.txt

      Notes:
	If you successfully, or do not successfully, compile and run this
	source on an unlisted OS, please feel free to update the list or
	e-mail Deathr0w@attrition.org stating the Operating System type,
	distrobution, version, and kernel version. Last but not least,
	read 'f0rever.info' for more important information on distrobution
	details, license information, and contacts.


      Thoroughly read the readme file for installation instructions.

*/

#include "./lib/r0wbot-pthreads.hpp"


int main(int argc, char *argv[])
{
  int sockfd = 0;

  if(argc != 4) {
    cout << "\nThe Battle.net r0wbot by Deathr0w of f0rever.net";
    cout << "\n  http://deathr0w.speckz.com/";
    cout << "\n  deathr0w@attrition.org";
    cout << "\n\nusage: " << argv[0] << " <username> <password> <server>\n\n";
    exit(0);
  }
  else {
    cout << "\n\033[1;36m
                 The Battle.net\033[0m \033[1;32m
          _____ 	   __            __
   _____ / _  /__      __ / /__ _____ __/ /_________
  / ___// // //	/ __  /	// _  // _  //_  __________/
 / /   / // // /_/ /_/ // // // // /  / /
/_/   /____//____.____//____//____/  /_/\033[0m \033[1;36m

          http://deathr0w.speckz.com/\033[0m\n\n\n";
  }

  const char rc = '\r';

  char *username = new char[256];
  char *password = new char[256];
  char *freeuser = new char[24];
  char *server = new char[256];

  sprintf(username, "%s", argv[1]);
  sprintf(password, "%s", argv[2]);
  sprintf(server, "%s", argv[3]);

  strncpy(freeuser, argv[1], 18);

  username = strcat(username, &rc);
  password = strcat(password, &rc);


  sockfd = connector(server);   // connects and returns sockfd

  login(sockfd, username, password);
  chat(sockfd, freeuser);
  close(sockfd);
  exit(0);
}
