// Incoming Data Handling Utility
// by Deathr0w of f0rever.net - 2000.April.1
// Modified to take in an int for IDnum so a switch statement can be used


void ehandler(WINDOW *win_recv,
              char *recvline,
	      int IDint, int csupport,
              short cp_cyan, short cp_yellow, short cp_white,
              short cp_red, short cp_green, short cp_blue)
{

  char BufferOut[1024];
  char aIDnum[5];
  char aIDuser[16];
  char aMessage[512]; // has to be the same as char Message in eparse.cpp

  char user[20];
  char message[512];

  memset(BufferOut, '\0', 1024);
  memset(aIDnum, '\0', 5);
  memset(aIDuser, '\0', 16);
  memset(aMessage, '\0', 512);
  memset(user, '\0', 20);
  memset(message, '\0', 512);

  Event Data(recvline);   // new event object
  Data.SetIDnum();
  Data.SetIDuser();
  Data.SetMessage();


  switch (IDint)
  {
    case (1001):   // lists users on join to channel
      strncpy(aIDuser, (Data.GetIDuser()), 20);
      sprintf(BufferOut, "current user: %s\n", aIDuser);

      if(csupport == 1) {
        wattron(win_recv, COLOR_PAIR(cp_green));
        wattron(win_recv, A_BOLD);
        waddstr(win_recv, BufferOut);
        wrefresh(win_recv);
        wattroff(win_recv, A_BOLD);
        wattroff(win_recv, COLOR_PAIR(cp_green));
      }
      else {
        sprintf(BufferOut, "current user: %s\n", aIDuser);
        waddstr(win_recv, BufferOut);
      }
      break;



    case (1002):   // another user joins the channel
      strncpy(aIDuser, (Data.GetIDuser()), 20);
      sprintf(BufferOut, "%s has joined the channel.\n", aIDuser);

      if(notify == 0) {
        if(csupport == 1) {
          wattron(win_recv, COLOR_PAIR(cp_green));
          wattron(win_recv, A_BOLD);
          waddstr(win_recv, BufferOut);
          wrefresh(win_recv);
          wattroff(win_recv, A_BOLD);
          wattroff(win_recv, COLOR_PAIR(cp_green));
        }
        else {
          waddstr(win_recv, BufferOut);
          wrefresh(win_recv);
        }
      }

      break;



    case (1003):   // another user leaves the channel
      strncpy(aIDuser, (Data.GetIDuser()), 20);
      sprintf(BufferOut, "%s has left the channel.\n", aIDuser);

      if(notify == 0) {
        if(csupport == 1) {
          wattron(win_recv, COLOR_PAIR(cp_green));
          wattron(win_recv, A_BOLD);
          waddstr(win_recv, BufferOut);
          wrefresh(win_recv);
          wattroff(win_recv, A_BOLD);
          wattroff(win_recv, COLOR_PAIR(cp_green));
        }
        else {
          waddstr(win_recv, BufferOut);
          wrefresh(win_recv);
        }
      }

      break;



    case (1004):   // prints whispered messages
      strncpy(aIDuser, (Data.GetIDuser()), 20);
      strncpy(aMessage, (Data.GetMessage()), 512);
      sprintf(user, "<%s>", aIDuser);
      sprintf(message, "* %s", aMessage);
      sprintf(BufferOut, " ** %s: %s\n", aIDuser, aMessage);

      if(csupport == 1) {
        wattron(win_recv, COLOR_PAIR(cp_yellow));
        wattron(win_recv, A_BOLD);
        waddstr(win_recv, user);
        waddch(win_recv, ' ');
        wrefresh(win_recv);
        wattroff(win_recv, A_BOLD);
        wattroff(win_recv, COLOR_PAIR(cp_yellow));

        wattron(win_recv, COLOR_PAIR(cp_blue));
        wattron(win_recv, A_BOLD);
        waddstr(win_recv, message);
        waddch(win_recv, '\n');
        wrefresh(win_recv);
        wattroff(win_recv, A_BOLD);
        wattroff(win_recv, COLOR_PAIR(cp_blue));
      }
      else {
        waddstr(win_recv, BufferOut);
        wrefresh(win_recv);
      }

      break;



    case (1005):   // prints regular messages
      strncpy(aIDuser, (Data.GetIDuser()), 20);
      strncpy(aMessage, (Data.GetMessage()), 512);
      sprintf(user, "<%s>", aIDuser);
      sprintf(BufferOut, "<%s> %s\n", aIDuser, aMessage);

      if(csupport == 1) {
        wattron(win_recv, COLOR_PAIR(cp_yellow));
        wattron(win_recv, A_BOLD);
        waddstr(win_recv, user);
        waddch(win_recv, ' ');
        wrefresh(win_recv);
        wattroff(win_recv, A_BOLD);
        wattroff(win_recv, COLOR_PAIR(cp_yellow));

        wattron(win_recv, COLOR_PAIR(cp_white));
        waddstr(win_recv, aMessage);
        waddch(win_recv, '\n');
        wrefresh(win_recv);
        wattroff(win_recv, COLOR_PAIR(cp_white));
      }
      else {
        waddstr(win_recv, BufferOut);
        wrefresh(win_recv);
      }

      break;



    case (1007):   // prints when you join a channel
      strncpy(aMessage, (Data.GetMessage()), 512);
      sprintf(BufferOut, "Join to channel: %s successfull!\n", aMessage);

      if(csupport == 1) {
        wattron(win_recv, COLOR_PAIR(cp_green));
        waddstr(win_recv, BufferOut);
        wrefresh(win_recv);
        wattroff(win_recv, COLOR_PAIR(cp_green));
      }
      else {
        waddstr(win_recv, BufferOut);
        wrefresh(win_recv);
      }

      break;



    case (1009):   // user flags
      break;



    case (1010):   // prints sent whispered messages

    /*************************************************************
      strncpy(aIDuser, (Data.GetIDuser()), 20);
      strncpy(aMessage, (Data.GetMessage()), 512);
      sprintf(user, "<%s>", aIDuser);
      sprintf(message, "* %s", aMessage);
      sprintf(BufferOut, " ** %s: %s\n", aIDuser, aMessage);

      if(csupport == 1) {
        wattron(win_recv, COLOR_PAIR(cp_yellow));
        wattron(win_recv, A_BOLD);
        waddstr(win_recv, user);
        waddch(win_recv, ' ');
        wrefresh(win_recv);
        wattroff(win_recv, A_BOLD);
        wattroff(win_recv, COLOR_PAIR(cp_yellow));

        wattron(win_recv, COLOR_PAIR(cp_blue));
        wattron(win_recv, A_BOLD);
        waddstr(win_recv, message);
        waddch(win_recv, '\n');
        wrefresh(win_recv);
        wattroff(win_recv, A_BOLD);
        wattroff(win_recv, COLOR_PAIR(cp_blue));
      }
      else {
        waddstr(win_recv, BufferOut);
        wrefresh(win_recv);
      }
      *************************************************************/

      break;



    case (1018):   // prints standard info
      strncpy(aMessage, (Data.GetMessage()), 512);
      sprintf(BufferOut, "%s\n", aMessage);

      if(csupport == 1) {
        wattron(win_recv, COLOR_PAIR(cp_cyan));
        wattron(win_recv, A_BOLD);
        waddstr(win_recv, BufferOut);
        wrefresh(win_recv);
        wattroff(win_recv, A_BOLD);
        wattroff(win_recv, COLOR_PAIR(cp_cyan));
      }
      else {
        waddstr(win_recv, BufferOut);
        wrefresh(win_recv);
      }

      break;



    case (1019):   // prints error messages
      strncpy(aMessage, (Data.GetMessage()), 512);
      sprintf(BufferOut, "Error: %s\n", aMessage);

      if(csupport == 1) {
        wattron(win_recv, COLOR_PAIR(cp_red));
        wattron(win_recv, A_BOLD);
        waddstr(win_recv, BufferOut);
        wrefresh(win_recv);
        wattroff(win_recv, A_BOLD);
        wattroff(win_recv, COLOR_PAIR(cp_red));
      }
      else {
        waddstr(win_recv, BufferOut);
        wrefresh(win_recv);
      }

      break;



    case (1023):   // prints emote messages
      strncpy(aIDuser, (Data.GetIDuser()), 20);
      strncpy(aMessage, (Data.GetMessage()), 512);
      sprintf(BufferOut, "<%s> %s\n", aIDuser, aMessage);

      if(csupport == 1) {
        wattron(win_recv, COLOR_PAIR(cp_yellow));
        wattron(win_recv, A_BOLD);
        waddstr(win_recv, BufferOut);
        wrefresh(win_recv);
        wattroff(win_recv, A_BOLD);
        wattroff(win_recv, COLOR_PAIR(cp_yellow));
      }
      else {
        waddstr(win_recv, BufferOut);
        wrefresh(win_recv);
      }

      break;



    case (2000):   // 2000 NULL
      break;



    case (9999):
      strncpy(aIDnum, (Data.GetIDnum()), 6);
      sprintf(BufferOut, "\nUnknown Event ID: %s\n", aIDnum);

      if(csupport == 1) {
        wattron(win_recv, COLOR_PAIR(cp_red));
        wattron(win_recv, A_BOLD);
        waddstr(win_recv, BufferOut);
        wrefresh(win_recv);
        wattroff(win_recv, A_BOLD);
        wattroff(win_recv, COLOR_PAIR(cp_red));
      }
      else {
        waddstr(win_recv, BufferOut);
        wrefresh(win_recv);
      }

      break;



    default:
      strncpy(aIDnum, (Data.GetIDnum()), 6);
      sprintf(BufferOut, "\nUnknown Event ID: %s\n", aIDnum);

      if(csupport == 1) {
        wattron(win_recv, COLOR_PAIR(cp_red));
        wattron(win_recv, A_BOLD);
        waddstr(win_recv, BufferOut);
        wrefresh(win_recv);
        wattroff(win_recv, A_BOLD);
        wattroff(win_recv, COLOR_PAIR(cp_red));
      }
      else {
        waddstr(win_recv, BufferOut);
        wrefresh(win_recv);
      }

      break;
  }
}
