void login(int sockfd, char *username, char *password)
{
  char login_recvline[4096];
  char initiate[10];

  memset(login_recvline, '\0', 4096);
  memset(initiate, '\0', 10);

  sprintf(initiate, "%c%c", 0x03, 0x04);

  // Initiating Connection
  sleep(3);
  cout << "\nInitiating Connection\n";
  if( send(sockfd, initiate, 5, 0) == -1) {
    perror("send");
    exit(0);
  }


  // Login Message
  if( recv(sockfd, login_recvline, 256, 0) == -1) {
    perror("recv");
    exit(0);
  }
  else {
    cout << "\nReceived:\n" << login_recvline;

      // checking to see if login message size is sufficient
      if(strlen(login_recvline) < 182) {
        cout << "\nConnection Refused! Wait and try again.\n";
        close(sockfd);
        sleep(5);
        exit(0);
      }

    memset(login_recvline, '\0', strlen(login_recvline));
  }



  // Login: stage one (username)
  // Username Prompt
  if( recv(sockfd, login_recvline, 256, 0) == -1) {
    perror("recv");
    exit(0);
  }
  else {
    cout << "\nReceived: " << login_recvline;
    memset(login_recvline, '\0', strlen(login_recvline));
  }

  sleep(6);
  cout << "\nLogin: stage one (username)\n";
  if( write(sockfd, username, strlen(username)) == -1) {
    perror("write");
    exit(0);
  }



  // Login: stage two (password)
  // Password Prompt
  if( recv(sockfd, login_recvline, 256, 0) == -1) {
    perror("recv");
    exit(0);
  }
  else {
    cout << "\nReceived: " << login_recvline;
    memset(login_recvline, '\0', strlen(login_recvline));
  }

  sleep(3);
  cout << "\nLogin: stage two (password)\n";
  if( write(sockfd, password, strlen(password)) == -1) {
    perror("write");
    exit(0);
  }

/**********************************************************
  // Receiving Chat Entry Message
  sleep(3);
  if( recv(sockfd, login_recvline, 4096, 0) == -1) {
    perror("recv");
    exit(0);
  }
  else {

      // checking to see if login was correct
      if(strlen(login_recvline) < 30) {
        cout << "\nLogin Incorrect! Check login info and try again.\n";
        close(sockfd);
        sleep(5);
        exit(0);
      }

    cout << login_recvline;
    memset(login_recvline, '\0', 4096);
  }
**************************************************/
}
