// It works! BUT! there is one bug. While you're typing '/who' in the
// message box, if you happen to recv() an event that contains NO "quotes"
// (eg: a join event) readline.cpp will try to read that event and by not
// finding any quotes, it goes on and on... segfaulting.

void readline(WINDOW* win_recv, char *recvline)
{
  uint i = 0; uint j = 0;   // counters
  uint proceed = 0;         // 0:True 1:False

  char buffer[1024] = "\0";
  // char recvbuff[1024] = "\0";
  // char test[15];

  // strncpy(recvbuff, recvline, 1024);
  uint const recvlen = strlen(recvline);

  if(recvlen < 1) {
    proceed = 1;
  }

  while(proceed != 1) {

    // skips un-needed info
    while(recvline[i] != '\"') {
      if(i > recvlen) { break; }
      ++i;
    }

    if(i > recvlen) { break; }
    ++i;   // skips over quotes


    // sprintf(test, "1 -- i:%d  r:%d\n", i, recvlen);
    // waddstr(win_recv, test);
    // wrefresh(win_recv);


    // records the text in between the quotes (the good stuff)
    while(recvline[i] != '\"') {
      if(i > recvlen) { break; }
      buffer[j] = recvline[i];
      ++j; ++i;
    }


    // sprintf(test, "2 -- i:%d  r:%d\n", i, recvlen);
    // waddstr(win_recv, test);
    // wrefresh(win_recv);

    waddstr(win_recv, buffer);
    waddch(win_recv, '\n');
    wrefresh(win_recv);


    if(i > recvlen) { break; }
    ++i;   // skips over last set of quotes on the line

    // Did we read all there is to read?
    if((i + 5) >= recvlen) {
      proceed = 1;
      memset(recvline, '\0', 1024);
      memset(buffer, '\0', 1024);
    }
    else {
      // ++i;
      j = 0;
      proceed = 0;
      memset(buffer, '\0', 1024);
    }
  }
}
